get-slot-pointer
Prev | Aggregate Types | Next

## Name

get-slot-pointer — Retrieves a pointer from a slot of a structure. Macro

## Syntax

    	  get-slot-pointer obj type field => pointer

## Arguments and Values

`obj`

  A pointer to foreign structure.

`type`

  A name of the foreign structure.

`field`

  A name of the desired field in foreign structure.

pointer

  The value of the field in the structure.

## Description

This is similar to `get-slot-value`. It is used when the value of a slot is a pointer type.

## Examples

    (get-slot-pointer foo-ptr 'foo-structure 'my-char-ptr)

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
get-slot-value | Home | def-array-pointer